Growth

Opportunity Radar

GET
/api/v1/opportunities

Detected growth opportunities ranked by expected value, discounted by effort.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

status?|

Filter by status.

limit?integer
Range1 <= value <= 50
Default20
merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/opportunities"
{  "data": {    "generated_at": "2019-08-24T14:15:22Z",    "open_count": 0,    "opportunities": [      {        "agent_run_id": "c3317f32-e28b-4af1-a584-86ac8c788dd8",        "campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",        "confidence": 0,        "created_at": "2019-08-24T14:15:22Z",        "detected_at": "2019-08-24T14:15:22Z",        "effort": "HIGH",        "estimated_value_monthly": 0,        "evidence": [          {            "change": "string",            "confidence": 0,            "detail": "string",            "metric": "string",            "reference": "string",            "source": "analytics",            "value": "string"          }        ],        "experiment_id": "916afd89-cac5-4339-9c59-dd068abdfa69",        "graph_path": [          "string"        ],        "hypothesis": "",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "impact": "HIGH",        "key": "string",        "kind": "string",        "period_end": "2019-08-24",        "period_start": "2019-08-24",        "priority_score": 0,        "reasoning": "",        "recommended_action": "",        "requires_approval": true,        "risk": "string",        "status": "DETECTED",        "summary": "string",        "tags": [          "string"        ],        "target_segment": {},        "title": "string",        "updated_at": "2019-08-24T14:15:22Z"      }    ],    "provenance": {      "data_source": "SEEDED",      "is_simulated": true,      "note": "Seeded demo dataset - not computed from a live PayPal merchant account."    },    "total_detected": 0,    "total_estimated_value_monthly": 0  },  "meta": {},  "success": true}